types.h File Reference
`#include <proton/import_export.h>`
`#include <stddef.h>`
`#include <proton/type_compat.h>`

Go to the source code of this file.

## Data Structures

struct | pn_decimal128_t
struct | pn_uuid_t
struct | pn_bytes_t

## Macros

#define | PN_MILLIS_MAX (~0U)

## Typedefs

typedef int32_t | pn_sequence_t
typedef uint32_t | pn_millis_t
typedef uint32_t | pn_seconds_t
typedef int64_t | pn_timestamp_t
typedef uint32_t | pn_char_t
typedef uint32_t | pn_decimal32_t
typedef uint64_t | pn_decimal64_t
typedef int | pn_state_t
| Holds the state flags for an AMQP endpoint. More...
typedef struct pn_connection_t | pn_connection_t
| An AMQP Connection object. More...
typedef struct pn_session_t | pn_session_t
| An AMQP Session object. More...
typedef struct pn_link_t | pn_link_t
| An AMQP Link object. More...
typedef struct pn_delivery_t | pn_delivery_t
| An AMQP Delivery object. More...
typedef struct pn_collector_t | pn_collector_t
| An event collector. More...
typedef struct pn_transport_t | pn_transport_t
| An AMQP Transport object. More...

## Functions

PN_EXTERN pn_bytes_t | pn_bytes (size_t size, const char *start)